define('lc', ['lang'],
	function(data){
		function locale(namespace, target){
			var level = data;
			if(namespace){
				(typeof namespace!='string'?namespace.key:namespace).split('.').every(function(e){
					if(level[e]) {
						level = level[e]; return true;
					}
					else{
						level = data; return false;
					}
				});
			}
			if(target){
				target.split('.').every(function(e){
					if(level[e] != undefined) {level = level[e]; return true;}
					else{level = (namespace && namespace.key?namespace.key+'.':'')+target; return false;}
				});
			}
			return level;
		}
		return locale;
	}
);